<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="https://www.thymeleaf.org">

<head>
    <meta charset="UTF-8">
    <title>Create new restaurant</title>
    <link rel="stylesheet" href="/add-restaurant.css">
</head>

<body>
<div class="header">
    <h1 align="center">Save restaurant</h1>
</div>

<div class="container">
    <fieldset>
        <legend class="center-block">New restaurant</legend>
        <form class="create-restaurant-form" method="post"th:action="@{/restaurants/add}" th:object="${restaurant}" enctype="multipart/form-data" >

            <div class="form-group">
                <label>Manager:</label>
                <input type="hidden" th:field="*{manager.idManager}"  />
                <input type="text" disabled th:value="*{manager.userName}"  />
            </div>


            <div class="form-group">
                <label>Name:</label>
                <input type="text" name="restaurantName" th:field = "*{restaurantName}" th:value="${restaurantName}" placeholder="Enter restaurant name" required>
                <span th:if="${#fields.hasErrors('restaurantName')}" th:errors="*{restaurantName}" class="text-danger"></span>
            </div>


            <div class="form-group">
                <label>Email</label>
                <input  type="text" name="email" th:field="*{restaurantEmail}" placeholder="Enter restaurant email" required/>
                <span th:if="${#fields.hasErrors('restaurantEmail')}" th:errors="*{restaurantEmail}" class="text-danger"></span>
            </div>

            <div class="form-group">
                <label>Phone</label>
                <input  type="text" name="restaurantPhone" th:field="*{restaurantPhone}" placeholder="Enter restaurant phone"/>
                <span th:if="${#fields.hasErrors('restaurantPhone')}" th:errors="*{restaurantPhone}" class="text-danger"></span>
            </div>

            <div class="form-group">
                <label>Address</label>
                <input  type="text" name="restaurantAddress" th:field="*{restaurantAddress}" placeholder="Enter restaurant address" required/>
                <span th:if="${#fields.hasErrors('restaurantAddress')}" th:errors="*{restaurantAddress}" class="text-danger"></span>
            </div>

            <div class="form-group">
                <label>Specific</label>
                <input  type="text" name="description" th:field="*{description}" placeholder="Enter restaurant specific"/>
            </div>

            <div class = "form-group">
                <label>Image</label>
                <input  type="file"  th:name="imageFile" />
                <span th:if="${#fields.hasErrors('image')}" th:errors="*{image}" class="text-danger"></span>
            </div>

            <div class = form-group>
                <input type="submit" value="Save" class="btn"/>
            </div>

        </form>
    </fieldset>
</div><!--class container-->
</body>
</html>